Bug 837255 - Siliconmotion hardware gives Not enough video memory for the configured screen size (1024x1024) and color depth.
Siliconmotion hardware gives Not enough video memory for the configured scree...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-siliconmotion (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 06:13 EDT by Peter H. Jones
Modified: 2013-08-01 09:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:39:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log shows screen size set too large (10.74 KB, text/plain)
2012-07-03 06:13 EDT, Peter H. Jones
no flags Details
Xorg file after trying Xorg -configure in single-user mode (9.95 KB, text/plain)
2012-07-26 10:24 EDT, Peter H. Jones
no flags Details
xorg.conf.new form Xorg -configure (2.93 KB, text/plain)
2012-07-26 10:25 EDT, Peter H. Jones
no flags Details
console output from Xorg -configure (1.35 KB, text/plain)
2012-07-26 10:26 EDT, Peter H. Jones
no flags Details
/var/log/messages (154.23 KB, text/plain)
2012-11-22 11:09 EST, Peter H. Jones
no flags Details
Xorg.log file (10.73 KB, text/plain)
2012-11-22 11:10 EST, Peter H. Jones
no flags Details
lxdm.log, just in case (1.40 KB, text/plain)
2012-11-22 11:11 EST, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2012-07-03 06:13:25 EDT
Created attachment 595927 [details]
Xorg.0.log shows screen size set too large

Description of problem:
With xorg-x11-drv-siliconmotion-1.7.6-1.fc17.i686.rpm installed,
I see the Fedora lightbulb display. Then, the screen goes dark,
with disk activity every few seconds.

Version-Release number of selected component (if applicable):
Fairy fresh FC17 with additional driver as above.

How reproducible:
Every time, on a Panasonic CF28. Searching the Internet shows this to be a common problem in different distros
 
Steps to Reproduce:
1. Boot system
  
Actual results:
Dark screen

Expected results:
Normal operation

Additional info:
Slacko 5.3.3, a version of Puppy Linux, has an xorgwizard that allows trying various display configurations. However, it did not detect the hardware.
Rosa LXDE shows its logo, but also goes to a dark screen.

Attaching Xorg.0.log . My /etc/xorg.conf seems to have only a Keyboard section.
Comment 1 Peter H. Jones 2012-07-26 10:24:38 EDT
Created attachment 600522 [details]
Xorg file after trying Xorg -configure in single-user mode

Tried Xorg -configure in single-user. Will attach Xorg.0.log, conf.new, and console output
Comment 2 Peter H. Jones 2012-07-26 10:25:52 EDT
Created attachment 600524 [details]
xorg.conf.new form Xorg -configure
Comment 3 Peter H. Jones 2012-07-26 10:26:52 EDT
Created attachment 600525 [details]
console output from Xorg -configure
Comment 4 Peter H. Jones 2012-11-22 11:09:37 EST
Created attachment 649907 [details]
/var/log/messages

After applying latest updates, recovered /var/log/messages as follows:
Booted with PAE kernel. Saw lightbulb and blue f, then dark screen, with occasional disk activity. After trying CTRL-ALT-Fn, CTRL-ALT-BKSP CTRL-ALT-DEL with no visible effect, flicked power switch and got a power down.
Booted with nonn-PAE kernel, same results.
Also tried setting nomodeset in GRUB, with same results.
Booted to single-user mode, and was able to recover /var/log/messages and log files, which I am posting.
Comment 5 Peter H. Jones 2012-11-22 11:10:29 EST
Created attachment 649908 [details]
Xorg.log file
Comment 6 Peter H. Jones 2012-11-22 11:11:47 EST
Created attachment 649909 [details]
lxdm.log, just in case
Comment 7 Adam Williamson 2013-05-14 15:35:56 EDT
Re-assigning to correct component.
Comment 8 Fedora End Of Life 2013-07-04 00:27:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 09:39:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.